#
# spec file for package bind-formula
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname bind
%define fdir  %{_datadir}/susemanager/formulas
Name:           bind-formula
Version:        0.1.1642519328.52d7c39
Release:        220400.1.27.uyuni2
Summary:        Salt formula for configuring and running BIND
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/saltstack-formulas/bind-formula
Source:         bind-formula-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt formula for managing configuration and running of BIND server.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R bind/* %{buildroot}%{fdir}/states/%{fname}
cp -R form.yml metadata.yml LICENSE pillar.example pillar-with-views.example pillar.example.smr README.rst %{buildroot}%{fdir}/metadata/%{fname}

%files
%defattr(-,root,root)
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}

%changelog
* Mon Jan 17 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1642519328.52d7c39
  * Update defaults based on SLE15SP4 release
  * chroot option was replaced by systemd protections
* Fri Jan 29 2021 Ondrej Holecek <oholecek@suse.com>
- Update bind formula to newest upstream version
- Fix apparmor conflict on Debian systems (bsc#1181461)
- Update to version 0.1.1615805990.f15c8d9
* Tue Oct 20 2020 Ondrej Holecek <oholecek@suse.com>
- Temporarily disable dnssec-validation as hotfix for bsc#1177790
- Update to version 0.1.1603299886.60e4bcf
* Thu Oct  3 2019 Ondrej Holecek <oholecek@suse.com>
- Bind form update - make options pillar optional.
  * fixes problem with empty options introduced in previous version
- Update to version 0.1.1573049925.b509ada
* Tue Sep 24 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1569489047.99c648b
- Improvements to bind form:
  * remove wrong default for bind options preventing correct upload
    of bind options using XMLRPC (bsc#1150657)
  * add explaining names to CNAME and A sections
* Tue Sep 17 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1568808472.be9f236
- Update formula to upstream version hash d5d11a48b
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Mon Jun 25 2018 nadvornik@suse.com
- Do not allow empty values in SOA pillar
* Fri Jun 15 2018 nadvornik@suse.com
- Generate rev zones for any zone
* Fri Jun 15 2018 nadvornik@suse.com
- Include forwarders, allow generic options in bind formula
* Thu Jun  7 2018 psladek@suse.com
- advanced features in form
* Wed Jun  6 2018 nadvornik@suse.com
- Updated from upstream
* Sun Mar 18 2018 oholecek@suse.com
- Add 'after' tag to metada to ensure correct order
  - see also bsc#1083326
* Tue Jan 16 2018 nadvornik@suse.com
- implemented automatic generation of
  zone serial and reverse zones
- added form
* Mon Jul 24 2017 nadvornik@suse.com
- new package
